---
title: RTCIceTransport.getRemoteCandidates()
slug: Web/API/RTCIceTransport/getRemoteCandidates
tags:
  - API
  - Candidates
  - Connectivity
  - ICE
  - Negotiation
  - Property
  - RTCIceTransport
  - Reference
  - Remote
  - WebRTC
  - WebRTC API
  - getRemoteCandidates
  - rtc
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong>{{domxref("RTCIceTransport")}}</strong> method <code><strong>getRemoteCandidates()</strong></code> returns an array which contains one {{domxref("RTCIceCandidate")}} for each of the candidates that have been received from the remote peer so far during the current {{Glossary("ICE")}} gathering session.</span></p>

<p>Each time your signaling code calls {{domxref("RTCPeerConnection.addIceCandidate()")}} to add a received candidate to the ICE session, the ICE agent places it in the list returned by this function.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>remoteCandidates</em> = <em>RTCIceTransport</em>.getRemoteCandidates();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>An array containing one {{domxref("RTCIceCandidate")}} object for each candidate that has been received so far from the remote peer during the current ICE candidate gathering session.</p>

<p>It's important to keep in mind that there's no way to correlate these remote candidates with compatible local candidates. To find the best match found so far, call {{domxref("RTCIceTransport.getSelectedCandidatePair()")}}.</p>

<h2 id="Example">Example</h2>

<p>This simple example gets the remote candidate list from the {{domxref("RTCIceTransport")}} for the first {{domxref("RTCRtpSender")}} on the {{domxref("RTCPeerConnection")}}, then outputs to the console all of the candidates in the list.</p>

<pre class="brush: js">var remoteCandidates = pc.getSenders()[0].transport.transport.getRemoteCandidates();

remoteCandidates.forEach(function(candidate, index)) {
  console.log("Candidate " + index + ": " + candidate.candidate);
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcicetransport-getremotecandidates', 'RTCIceCandidate.getRemoteCandidates()')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceTransport.getRemoteCandidates")}}</p>
</div>

